gsasl_server_support_p(3)

NAME
gsasl_server_support_p - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_server_support_p(Gsasl * ctx, const char * name);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

const char * name
    name of SASL mechanism.

DESCRIPTION
Decide whether there is server-side support for a specified mechanism. Return value: Returns 1 if the libgsasl server supports the named mechanism, otherwise 0.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/